Get Payment Intent

Use this API to enable capturing payments on your front end via Stripe Elements.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
items
array of objects
required
Defaults to [object Object]

The list of items to include in the order. All items must come from the same menu.

items*
string
required

The product's ID.

integer

The selected quantity (must be greater than 0). If not provided, a quantity of 1 is selected.

integer

The self-provided marked price (in cents) to be used in the email receipt.

selected_options
array of objects

The list of selected options for the product.

selected_options
string

The product notes for the store.

boolean
required
Defaults to false

Whether to the order fulfillment type is pickup or delivery.

string

The ID corresponding to the desired scheduled pickup/delivery window. If not provided, the ASAP window will be chosen by default. Scheduled IDs are provided by Get Inventory and Get Product Details when include_quote is true.

integer
Defaults to 100

The tip for the driver, in cents. This field will be ignored for pickup orders.

integer
Defaults to 0

The tip for the store, in cents. Note that this field can only be provided when quote.accepts_pickup_tip is true from Get Inventory.

number
Defaults to 37.7786357

Latitude of the user. Not required for pickup orders.

number
Defaults to -122.3918135

Longitude of the user. Not required for pickup orders.

string
Defaults to 188

Street number of the user. Not required for pickup orders.

string
Defaults to King Street

Street name of the user. Not required for pickup orders.

string

Apartment number of the user. Not required for pickup orders.

string
Defaults to San Francisco

City of the user. Not required for pickup orders.

string
Defaults to CA

State of the user. Not required for pickup orders.

string
Defaults to US

Country of the user. Can either be US or CA. Not required for pickup orders.

string
Defaults to 94107

Zipcode of the user. Not required for pickup orders.

string
Defaults to Leave in lobby

Dropoff delivery notes for the user. Not required for pickup orders.

string

User pickup notes for the store. Not required for delivery orders. Note that this field can only be provided when quote.accepts_pickup_note is true from Get Inventory.

string
required
Defaults to Steve Jobs

User's name. This is required so that the store and/or driver know who to give the products to at dropoff.

string
required
Defaults to [email protected]

User's email. Order confirmation, updates, and tracking link will be sent to the email provided here.

integer
required
Defaults to 14044442058

User's phone number. This is required so that the store and/or driver know who to call for handling product replacements, drop-off, etc. Must include country code.

string
required
Defaults to 7B36A9CF

A unique ID for the user generated in your system, which can later be supplied to Get Orders to fetch a user's order(s).

boolean
Defaults to false

Whether to send the user order status updates via SMS. It's highly recommended to enable SMS, so that the user can receive order updates from the store and/or driver.

email_receipt_specifications
object

Set of optional configurations used to modify email reciept

sms_options
object

Set of optional SMS-specific configurations.

boolean
Defaults to false

Whether to add this order as a favorited order

string

A unique ID for the order generated in your system. This will be returned in the response from Get Orders when looking up an order.

boolean
Defaults to false

Whether to automatically select the default quantity for all options and fulfill all customization requirements.

metadata
object

A set of key-value pairs that you can attach to an order, and later reference with '/account/orders`.

string

The tracking link to communicate with the customer via SMS/email. If provided, the MealMe tracking link will be replaced with this one. If the tracking link is to be composed of the MealMe order ID, use <> as the placedholder. For example, if the tracking link https://tracking.example.com/tracking?tracking_id=<> is provided, and the order_id in the response is -Mxak0IAuif3TvN9hBP7, then the final tracking link will be https://tracking.example.com/tracking?tracking_id=-Mxak0IAuif3TvN9hBP7

Responses

Language
Credentials
Header
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json